[regression] compiz freezes when dragging a window to the top bar after being semi-maximized

Bug #1244754 reported by Paul Greindl on 2013-10-25
278
This bug affects 60 people
Affects Status Importance Assigned to Milestone
Compiz
High
Christopher Townsend
0.9.10
High
Christopher Townsend
compiz (Ubuntu)
High
Christopher Townsend
Saucy
Undecided
Unassigned

Bug Description

Compiz/Unity freezes often (not every time, but really often) when I drag the window to the top bar (which should maximize it) after it was semi-maximized (left or right). Really annoying, obviously. Just hook me up if there is some debugging I need to do :)

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: compiz 1:0.9.10+13.10.20131011-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-13.20-generic 3.11.6
Uname: Linux 3.11.0-13-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Fri Oct 25 20:30:32 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:055c]
InstallationDate: Installed on 2013-10-19 (6 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: Dell Inc. Vostro 3360
MarkForUpload: True
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-13-generic root=UUID=a6b367c2-8f33-4104-ac61-269cd704c717 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/10/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 07X5MJ
dmi.board.vendor: Dell Inc.
dmi.board.version: FAB1
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd05/10/2012:svnDellInc.:pnVostro3360:pvr:rvnDellInc.:rn07X5MJ:rvrFAB1:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Vostro 3360
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Fri Oct 25 20:28:46 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 12588
 vendor AUO
xserver.version: 2:1.14.3-3ubuntu2

Related branches

Paul Greindl (paul-greindl) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
James (james-castells) wrote :

I can confirm this affects me as well. This happened while maximizing to the top a LibreOffice program, after it was semi-maximized to the left or right. I'm running a recently installed copy of Ubuntu 13.10.

pwbogaart (pwbogaart) wrote :

Confirming as well. Happened after upgrade to 13.10. This already caused me loosing unsaved edits because only a hard reboot helps. (back in the days we at least had ctrl-alt-del ;-)

Stephen M. Webb (bregma) on 2013-11-07
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in compiz:
status: New → Triaged
importance: Undecided → Medium
Andrés Rassol (anra) wrote :

Switching to a terminal and running killall -9 compiz does the trick for me.

Paul Greindl (paul-greindl) wrote :

@Andrés You can still open a Terminal? Or do you mean a shell? For me the desktop is completely frozen and won't do anything...

Andrés Rassol (anra) wrote :

@Paul, I mean a VT (the one you get by pressing Ctrl+Alt+F1).

Changed in compiz:
assignee: nobody → Christopher Townsend (townsend)
Changed in compiz (Ubuntu):
assignee: nobody → Christopher Townsend (townsend)
Changed in compiz:
importance: Medium → High
Changed in compiz (Ubuntu):
importance: Medium → High
Changed in compiz:
status: Triaged → In Progress
Changed in compiz (Ubuntu):
status: Triaged → In Progress
Christopher Townsend (townsend) wrote :

I got a stack trace of the condition It's stuck polling in xcb_wait_for_reply() which is part of libxcb. In the past, there have been issues in this area in libxcb, but not for some time apparently. It's hard to tell at this point if Compiz is doing something wrong prior to this hang or if this is some issue in libxcb.

One very interesting data point is that in my debugging, I was able to reproduce this issue 100% using LibreOffice. Then during my debugging, the issue suddenly went away. I tried a different user on the machine and can reproduce it 100% of the time. I've tried resetting all Compiz/Unity settings back to default, but still cannot reproduce this using this user. It is very strange why one user on the machine can reproduce this while another cannot. This leads me to belive it's a setting that can trigger this, but I cannot figure out what it is.

Christopher Townsend (townsend) wrote :

BTW, bug #1211274 is a pretty recent bug that exhibits very similar behavior. In that bug, the reporter can trigger the issue using some Qt application.

Ok, I've now figured out what condition causes a user to no longer be able to reproduce this issue. If you use the Ctrl-Super-Left/Right shortcut key to vertically semi-maximize a window, then any more grabs to semi-maximize/maximize the window will not cause the desktop to lock up! It even persists over reboots. At this point, this makes absolutely no sense to me why using a shortcut would clear up the issue and never cause this to happen again.

I've finally found the condition that causes this issue.

1. Window geometry when it opens has the top decoration snapped to the panel and the bottom of the window is snapped to the bottom of the screen.
2. Vertically semi-maximize the window by dragging the window to the left or right side of the screen.
3. Drag the window to the top to maximize the window.

It's important to note the initial window geometry and the dragging to semi-maximize. If either the top of the window is not snapped or the bottom of the window is snapped, the issue does not occur. Also, using the Ctrl-Super-Left/Right to vertically semi-maximize will avoid this issue as well.

Now, to figure out what the cause of the issue is...

summary: - compiz freezes when dragging a window to the top bar after being semi-
- maximized
+ [regression] compiz freezes when dragging a window to the top bar after
+ being semi-maximized
tags: added: regression-release
Changed in compiz:
milestone: none → 0.9.11.0
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz at revision None, scheduled for release in compiz, milestone 0.9.11.0

Changed in compiz:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu Saucy):
status: New → Confirmed

I have had this happen almost everyday for the past few weeks, it has never happened when moving windows to the sides, but it happens when moving to the top, and this seems to be more frequent when using the default document viewer and chrome at the same time. I have changed graphics drivers and I have reset unity, but that hasn't and any effect.

Here is a log file from a crash that happened after a recent freeze. I hope it helps.

Vincent Thiele (vincentthiele) wrote :

This bug is very annoying please fix it asap.

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz/0.9.10 at revision None, scheduled for release in compiz, milestone 0.9.10.2

giuseppd (giuseppd) wrote :

Hi everyone. I usually tested ALL Ubuntu release on my i686 Compaq EVO D51 & HP Elite 8640w. On i686 I'm experincing this bug since Ubuntu 12.10, 13.04 and 13.10. Everything from 12.04.3 below it's OK. On HP Elite 8640w everythings it's OK.

giuseppd (giuseppd) wrote :

Hi. Just to let you know that using a NVIDIA GeForce MX440 video card on generic i686 (Compaq EVO D510) Ubuntu version 13.10 works fine but 12.10 and 13.04 not. BR

Darren Hoyland (autonomouse) wrote :

I switched graphics cards from AMD 7950 to an NVidia one, thinking it may be due to the proprietry drivers I was using. No effect

giuseppd (giuseppd) wrote :

@autonomouse: Could you tell me pls which ubuntu version are you using? As I told before on my HP Elitebook 8560w (intel i5 - NVIDA video card) all version of all distro are OK. On my Compaq EVO D510 (it's an old generic i686) with original video card everything was OK from Ubunto 8.x till 12.04.3. But with Ubuntu Kubuntu UbuntuGnome 12.10, 13.04, 13.10 the bug came up. As soon as I installed the NVIDIA GeForce MX440 (an old one) also Ubuntu 12.10, 13.04, 13.10 started to work fine. Since I usually test all distro I would like to sugget to give a try to Lubuntu 13.10, that come with LXDE graphic diplay manager. Pls, post your result here. BR
I think that the problem come from the 3D graphics settings. With old machine I suggest to try the 2D.
@Ubuntu GURU: any comment on this one? BR

Download full text (4.6 KiB)

i am using ubuntu 13.10 on acer aspire 5750z

Thanks & Regards
Rohit Sood

On 11 January 2014 20:17, giuseppd <email address hidden> wrote:

> @autonomouse: Could you tell me pls which ubuntu version are you using? As
> I told before on my HP Elitebook 8560w (intel i5 - NVIDA video card) all
> version of all distro are OK. On my Compaq EVO D510 (it's an old generic
> i686) with original video card everything was OK from Ubunto 8.x till
> 12.04.3. But with Ubuntu Kubuntu UbuntuGnome 12.10, 13.04, 13.10 the bug
> came up. As soon as I installed the NVIDIA GeForce MX440 (an old one) also
> Ubuntu 12.10, 13.04, 13.10 started to work fine. Since I usually test all
> distro I would like to sugget to give a try to Lubuntu 13.10, that come
> with LXDE graphic diplay manager. Pls, post your result here. BR
> I think that the problem come from the 3D graphics settings. With old
> machine I suggest to try the 2D.
> @Ubuntu GURU: any comment on this one? BR
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1252077).
> https://bugs.launchpad.net/bugs/1244754
>
> Title:
> [regression] compiz freezes when dragging a window to the top bar
> after being semi-maximized
>
> Status in Compiz:
> Fix Committed
> Status in Compiz 0.9.10 series:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> In Progress
> Status in “compiz” source package in Saucy:
> Confirmed
>
> Bug description:
> Compiz/Unity freezes often (not every time, but really often) when I
> drag the window to the top bar (which should maximize it) after it was
> semi-maximized (left or right). Really annoying, obviously. Just hook
> me up if there is some debugging I need to do :)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: compiz 1:0.9.10+13.10.20131011-0ubuntu1
> ProcVersionSignature: Ubuntu 3.11.0-13.20-generic 3.11.6
> Uname: Linux 3.11.0-13-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.12.5-0ubuntu2.1
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> Date: Fri Oct 25 20:30:32 2013
> DistUpgraded: Fresh install
> DistroCodename: saucy
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation 3rd Gen Core processor Graphics Controller
> [8086:0166] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:055c]
> InstallationDate: Installed on 2013-10-19 (6 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> MachineType: Dell Inc. Vostro 3360
> MarkForUpload: True
> PackageArchitecture: all
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-13-generic
> root=UUID=a6b367c2-8f33-4104-ac61-269cd704c717 ro quiet splash vt.handoff=7
> SourcePackage: compiz
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 05/10/2012
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A04
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: 07X5MJ
> dm...

Read more...

returningshadow (reidwicks) wrote :

I am testing the Ubuntu 14.04 daily build, and this issue is not present.

Launchpad Janitor (janitor) wrote :
Download full text (44.6 KiB)

This bug was fixed in the package compiz - 1:0.9.11+14.04.20140214-0ubuntu1

---------------
compiz (1:0.9.11+14.04.20140214-0ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * Bump version to 0.9.11

  [ Marco Trevisan (Treviño) ]
  * debian/00_remove_decor_in_unity_session.py: add migration script
    to avoid to load the decor plugin on compiz startup when using unity.
  * debian/compiz-gnome.gconf-defaults: disable decor plugin on unity session

  [ Sebastien Bacher ]
  * debian/compiz-gnome.links: lists keybinding in unity-control-center
  * typo fix in the previous commit. (LP: #1271710)

  [ Iven Hsu ]
  * Opacify: Only dim the windows above the active window.(LP:
    #1189374). (LP: #1189374)
  * KWD: Fix compile errors with KDE 4.11. The KWin developers made
    kdecorationbridge.h private. See:
    http://lists.freedesktop.org/archives/compiz/2013-March/003479.html
    (LP: #1193792). (LP: #1193792)

  [ Nikolay Martynov ]
  * When static switcher is enabled and has an option to show
    application icon turned on the icons are expected to be ~1/3 of a
    thumbnail (48px). Instead they are displayed in 512px size and
    completely cover everything. This change addresses this issue. See
    LP #1173914. (LP: #1173914, #1186426)

  [ BryanFRitt ]
  * Fixed the non-working Annotate 'Clear' Button. Moved this option's
    CCSM position upwards to keep the button shortcuts together. (LP:
    #1202907). (LP: #1202907)

  [ CI bot ]
  * Flush trunk to Ubuntu

  [ William Hua ]
  * Replace <Primary> with <Control> in CCSM. Fixes
    https://bugs.launchpad.net/compiz/+bug/1069121. (LP: #1069121)
  * Tweak support of key bindings of the form
    '<Modifier>Modifier_KeySym'. We tweak a bit the behaviour of key
    bindings such as '<Control>Shift_L' and '<Alt>Alt_R'. 1. We ignore
    the order of key pressing and releasing, so tapping
    '<Shift>Control_L' is the same as '<Control>Shift_L'. 2. We properly
    handle the double modifiers case, for example '<Control>Control_R'.
    3. We also parse key bindings with '<Primary>' being equivalent to
    '<Control>'.
  * Fix GSettings tests with extra slash.
  * Add an interface for plugins to provide non-option key actions that
    can be triggered.

  [ Eleni Maria Stea ]
  * It fixes the bug #1245886. In DecorScreen::handleEvent compiz
    shouldn't try to handle any events if there's no active window yet.
    (LP: #1245886)
  * Compiz static analysis shows that some compiz classes have virtual
    methods but not virtual destructors. Added the virtual destructors
    to get rid of warnings and potential memory leaks.
  * fixed cmake syntax errors.
  * CMake considered compiz a C++ project and couldn't find some
    dependencies like pthreads. Defined compiz as a C, CXX project to
    fix the issue.

  [ Povilas Kanapickas ]
  * Opacify: Properly initialize window drawing for new windows in
    Opacify plugin. (LP: #787814, part 2). (LP: #787814)
  * Opacify: Fix damage generation in the Opacify plugin. When setting
    opacity to some value, non-opacified windows need to be damaged
    regardless of opacity, whereas opacified windows need to be damaged
    only if opacity changes. Remove u...

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Anthony Bradley (antbradley91) wrote :

I have had this issue for a while, and am continuing to have it in Ubuntu 13.10

The bug basically matches the original description- GUI freezes occasionally when dragging a window to the top to resize it. I can't reproduce it on command, but it happens quite often seemingly at random.

Here's my system info I can manage to find

Sony Vaio L Series SVL24114FXB
Processor: Intel® Core™ i5-3210M CPU @ 2.50GHz × 4
Memory: 7.7 GiB
OS type: 64-bit
Graphics: Intel® Ivybridge Mobile

My system is completely up to date

To Do (entodoays) wrote :

Is there a way to disable the drag-to-top shortcut in compiz? This would avoid crashes when I forget about this bug and instead of using the shortcut I drag to semi-maximized window.

José Cabo (folcwine) wrote :

Is someone going to fix this bug in Ubuntu 13.10?

Sony Vaio Pro 13

Stephen M. Webb (bregma) on 2014-11-06
Changed in compiz:
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) wrote :

marking as closed (0.9.10 series is obsolete)

Stephen M. Webb (bregma) on 2014-11-27
Changed in compiz (Ubuntu Saucy):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.